:root {
    --bs-blue: #285489;
    --bs-white: #ffffff;
    --bs-gray-900: #7b7b7d;
}

html, body {
    max-width: 100%;
    overflow-x: hidden;
}

body {
    background-color: var(--bs-white);
    scroll-behavior: smooth;
}

.navbar, .btn-primary, .bg-primary, .footer {
    background-color: var(--bs-blue);
}

.text-primary {
    color: var(--bs-blue) !important;
}

.navbar-brand img {
    max-height: 80px;
}

section {
    min-height: 100vh;
    padding: 4rem 0;
}

/* Add background images to sections */
#home {
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)),url('imgs/backg_01.jpg');
    background-size: cover;
    background-position: center;
}

#about {
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)),url('imgs/backg_05.jpg');
    background-size: cover;
    background-position: center;
}

#gallery {
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)),url('imgs/backg_08.jpg');
    background-size: cover;
    background-position: center;
}

#contact {
    background-image: linear-gradient(rgba(255, 255, 255, 0.75), rgba(255, 255, 255, 0.75)),url('imgs/backg_09.jpg');
    background-size: cover;
    background-position: center;
}

/* Fade-in animation */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.fade-in {
    animation: fadeIn 1s ease-in-out forwards;
}

section {
    opacity: 0;
}

#home {
    opacity: 1;
}

.img-thumbnail {
    max-width: 100%;
    height: auto;
}

.clickable {
    cursor: pointer;
}

.carousel img {
    max-height: 720px;
    width: auto;
    height: auto;
    object-fit: contain;
}

@media (max-width: 767px) {
    .carousel img {
        max-height: calc(100vh - 200px); /* Adjust the height for smaller screens */
        width: 100%;
    }

    .img-thumbnail {
        max-height: calc(100vh - 200px); /* Adjust the height for smaller screens */
        width: 50%;
    }

    .text-primary {
        font-size: calc(1.375rem + 0.5vw);
    }

    h5 {
        font-size: calc(0.9rem + 0.15vw);
    }

    .custom-navbar {
        background-color: var(--bs-blue);
    }

    .custom-navbar .nav-link {
        color: var(--bs-white) !important;
    }
}

@media (min-width: 768px) {
    .custom-navbar:not(.scrolled) {
        background-color: transparent;
    }

    /* Change the text color when the navbar background is transparent */
    .custom-navbar:not(.scrolled) .nav-link {
        color: var(--bs-blue) !important;
    }

    /* Change the color of the toggler icon when the navbar background is transparent */
    .custom-navbar:not(.scrolled) .navbar-toggler-icon {
        filter: invert(0.5) sepia(1) saturate(5) hue-rotate(190deg);
    }
}


/* Change the text color when the navbar background is transparent */
.custom-navbar:not(.scrolled) .nav-link {
    color: var(--bs-blue) !important;
}

/* Change the color of the toggler icon when the navbar background is transparent */
.custom-navbar:not(.scrolled) .navbar-toggler-icon {
    filter: invert(0.5) sepia(1) saturate(5) hue-rotate(190deg);
}

.custom-navbar {
    transition: background-color 0.3s ease;
}

.custom-navbar.scrolled {
    background-color: var(--bs-blue);
}

@media (max-width: 767px) {
    .custom-navbar:not(.scrolled) .nav-link {
        color: var(--bs-white) !important;
    }
}

.sendForm {
    background-color: rgba(255, 255, 255, 0.8);
    padding: 2rem;
    border-radius: 1rem;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
}

